### Hierarchy

- RpcToken
  - RpcSignMessage

## Index

### Constructors

- constructor

### Properties

- accessToken
- message

### Methods

- getAccessTokenSig
- getClearAccessToken

## Constructors

### constructor

- new RpcSignMessage(message: string, accessToken: string): RpcSignMessage

- Overrides RpcToken.constructor

  - Defined in utils/keypair/rpc/RpcSignMessage.ts:5

  #### Parameters

  - ##### message: string

  - ##### accessToken: string

  #### Returns RpcSignMessage

## Properties

### accessToken

accessToken: string

Inherited from RpcToken.accessToken

- Defined in utils/keypair/rpc/RpcToken.ts:3

### message

message: string

- Defined in utils/keypair/rpc/RpcSignMessage.ts:5

## Methods

### getAccessTokenSig

- getAccessTokenSig(): string

- Inherited from RpcToken.getAccessTokenSig

  - Defined in utils/keypair/rpc/RpcToken.ts:9

  #### Returns string

### getClearAccessToken

- getClearAccessToken(): string

- Inherited from RpcToken.getClearAccessToken

  - Defined in utils/keypair/rpc/RpcToken.ts:13

  #### Returns string

Generated using TypeDoc